Name: rpm-macros-features
Version: 20240217
Release: alt1.c9f2.2

Summary: RPM macros to check if can build with a feature
License: GPLv2
Group: Development/Other

Source: %name-%version.tar

Obsoletes: rpm-build-features
Provides: rpm-build-features

%description
RPM macros to check if can build with a feature (a library is possible).

Usage:
if_feature vulkan
BuildRequires: libvulkan-devel
endif

if_feature icu 6.5
...
endif

%prep
%setup

%install
dfile=''

dfile=macros.%_arch

%ifarch %e2k
dfile=macros.e2k
%endif

%ifarch %ix86
dfile=macros.i586
%endif

%ifarch %mips32
dfile=macros.mips32
%endif

%ifarch %arm
dfile=macros.arm
%endif

install -D -m644 macros %buildroot/%_rpmmacrosdir/features
[ -n "$dfile" ] && [ -s "$dfile" ] && cat $dfile >> %buildroot/%_rpmmacrosdir/features

%files
%_rpmmacrosdir/features

%changelog
* Mon May 05 2025 Vitaly Lipatov <lav@altlinux.ru> 20240217-alt1.c9f2.2
- if_feature/if_notfeature: fix bug with value 0 as true

* Thu Apr 04 2024 Vitaly Lipatov <lav@altlinux.ru> 20240217-alt0.c9f2.1
- add if_notfeature
- switch to date stamp version
- c9f2: update to sisyphus features list

* Thu Mar 16 2023 Vitaly Lipatov <lav@altlinux.ru> 1.0-alt0.c9f2.1
- c9f2: update to sisyphus features list

* Wed Apr 20 2022 Vitaly Lipatov <lav@altlinux.ru> 0.7-alt0.c9.1
- build for c9f2

* Sun Feb 13 2022 Vitaly Lipatov <lav@altlinux.ru> 0.7-alt0.M90P.1
- add arch dependend part for feature macros

* Sun Feb 13 2022 Vitaly Lipatov <lav@altlinux.ru> 0.6-alt0.M90P.1
- add unwind 1.1

* Tue Feb 08 2022 Vitaly Lipatov <lav@altlinux.ru> 0.5-alt0.M90P.1
- add pcad and llvm versions
- set versions for qt5 and vkd3d
- add provides/obsoletes for rpm-build-features

* Thu Sep 30 2021 Vitaly Lipatov <lav@altlinux.ru> 0.3-alt0.M90P.1
- build with p9 features

* Thu Sep 30 2021 Vitaly Lipatov <lav@altlinux.ru> 0.3-alt1
- implement if_feature FEATURE [VERSION]

* Fri Jul 09 2021 Vitaly Lipatov <lav@altlinux.ru> 0.1-alt1
- initial build for ALT Sisyphus
